package math.fractals;

import math.utils.*;

public class Fractal22 {
	public static void main(String[] args) {
		double[] arr1 = {512, 256, 128, 64, 32, 16, 8, 4, 2, 1};
		double sum1 = FractalUtil.sum(arr1);
		double[] arr2 = {1, 4, 13, 34, 76, 165, 358, 812, 1957, 5164};
		double sum2 = FractalUtil.sum(arr2);
		double[] log1 = FractalUtil.logs(arr1);
		double sumlog1 = FractalUtil.sum(log1);
		double[] log2 = FractalUtil.logs2(arr2);
		double sumlog2 = FractalUtil.sum(log2);
		double[] sqrs1 = FractalUtil.sqrs(log1);
		double sumsqrs1 = FractalUtil.sum(sqrs1);
		double[] sqrs2 = FractalUtil.sqrs(log2);
		double sumsqrs2 = FractalUtil.sum(sqrs2);
		double[] arr3 = FractalUtil.mult(log1, log2);
		double sumarr3 = FractalUtil.sum(arr3);
		ArrayUtil.print(arr1, 2);
		Util.print(sum1);
		ArrayUtil.print(arr2, 2);
		Util.print(sum2);
		ArrayUtil.print(log1, 2);
		Util.print(sumlog1);
		ArrayUtil.print(log2, 2);
		Util.print(sumlog2);
		ArrayUtil.print(sqrs1, 2);
		Util.print(sumsqrs1);
		ArrayUtil.print(sqrs2, 2);
		Util.print(sumsqrs2);
		ArrayUtil.print(arr3, 2);
		Util.print(sumarr3);
	}
}
